Subject: Re: Osaka Organis design/ Waking the Planet

From: Gerry Gleason <[email-masked]>
Date: Thu, 27 Mar 2003 02:20:22 -0600

George Dafermos wrote:

>Hello evryone,
>
>I followed the discussion between Gerry and Carl and no doubt the  proposal looks much more coherent now. 
>
>Regarding the first paragraph, in the now altered by Gerry proposal, I am  perfectly happy that it makes more sense, although it begs certain  questions about how renumeration will take shape (how? will it be through  fees, rents, loyalties, stock options or salaries and wages) but then I  guess this can be dismissed for the time being. I 'll go back into it  later below.
>
>I really like the second paragraph, especially as a means to introduce  and link together complexity theory, computational-mathematical analysis,  and the basic thesis in Wolfram's book that very complex properties  derive from very simple rules. What i got out of the second paragraph is  that (provided with the right tools) it's now feasible to understand how  interdependencies among otherwise seemingly unrelated systems occur and  this is undoubtly the firt step towards a more thorough understanding of  how to design social structures and institutions that are capable of  responding to complex environmental pressures. 
>
Thanks, I though that it came out pretty well. I must confess that I 
haven't read as much of Wolfram as I would like, but I did skim through 
large sections of it. The truth is that he isn't the only person to make 
some of the theoretical leaps involved here, although I think he puts 
more of it together in one place. It's daunting just to read all of it 
much less contemplate writing it, and there are certainly some aspects 
that become compelling just because they keep appearing over and over.

>
>However, I can't really connect the last few words 
>"and therefore the insolvability of the general halting problem is  exactly the equivalent of Goedel's incompleteness theorem from math" to  the rest of the paragraph. Maybe my social sciences background is to be  blamed for this. I know what the Halting Problem conveys but still I  can't make any sense. So, please give me some help on this.
>
Although I haven't had time to read through that chapter, the key 
theoretical move is the "principle of computational equivalence". 
Mathematicians use the term "homomorphic" to describe when you can make 
an exact one to one mapping between two axiomatic systems, then you can 
automatically know that any result proved in one system is also true in 
the other. In the bulk of the book, he is examining one formal system 
after another, and showing the chaos that is present. He is saying that 
the chaos is there because there is computation there, and wherever 
there is computation there is a fundamental irreducability.

Maybe the point I'm making is too cryptic to be useful here, but it 
really struck me that he is casting a much wider net with this than 
Turing or Goedel are likely to have comptemplated (although such genius 
may well have done, but not proved). The first step in these theoretical 
frameworks is to establish through homomorphism that all the systems of 
interest are equivalent, so that further results can be taken to apply 
to the entire class (Turing machine equivalent logical machines, or 
mathematical systems equivalent to basic arithmetic for Goedel). Douglas 
Hoffsatter's book Goedel, Escher, Bach, and Eternal Golden Braid is a 
wonderful way to learn about how this works even if you aren't 
particularly mathematical.

Now, with the wider net being cast, I'm suggesting that these two 
results are the same result, that the two classes (and many others 
including physical and biological systems) are equivalent because it's 
all computation at the bottom (it's turtles all the way down ;-). 
Really, how different is to to ask whether an arbitrary computer program 
will terminate vs. asking whether an arbitrary mathematical statement 
can be proved. Although the two proofs are different, the result is the 
same one. Even more mind-bending is that Goedel is saying that we can't 
prove that we might not uncover a contradictory result this way (i.e. 
one of these problems is solvable but the other isn't).

Hope this isn't just more confusing.

WRT

>
>Proceeeding to the third paragraph, I'm not sure whether talks of divine  intervention as a higher state of distributed self-organisation will go  well with a non - Western audience. But this is up to Carl to decide.  Furthermore, I get the impression that there is a slight confusion  betweeb chaos and complexity theory, without implying that I know better  than Gerry. I'm similarly attracted by those both fascinating fields and  through my own research have come to acquire some pretty basic  understanding of them. 
>
No, not divine intervention, but only the presence of the divine. This 
is where I am probably going beyond anything that Wolfram would consider 
to be well established, but I think the reasoning is sound. I'm saying, 
ok, so it's all computation, therefore computation is the basis for all 
the complexities we see. I have a phrase borrowed from Robert Anton 
Wilson (the preface to the second edition of Cosmic Triggers), "I don't 
believe in anything". Belief is always subject to revision and error, 
but I still have an important place for faith. What Goedel proved is 
that in spite of what die-hard positivists would claim, even 
mathematicians need faith that their whole enterprise won't fall down 
like a house of cards. Could the Absolute ever really be so fickle to 
have such horrors embedded deeply within the finely woven tapestry of 
mathematics where the pulling of a single thread would unravel it all?

Then I'm also turning the arguments on their heads and saying that when 
we see high level emergent behaviors in physical and biological systems, 
we can assume that the same behaviors can be exhibited by the artificial 
systems as well. This goes all the way up to human social systems and 
languages, hence Wolfram's suggestion that AI systems will eventually 
become possible (but perhaps they must be discovered and/or evolved, not 
designed and implemented in any traditional sense).

I thought that it was necessary to make this move explicite even if it 
is more of a conjecture than a firmly established result because we are 
extending the idea to organizational structures. We still have a 
problem, though, because there is an enormous abyss between the formal 
systems at the base level and the complexity that we see in the natural 
world, much less the human social systems we wish to address. We are 
placing our faith in the idea that the structures that are naturally 
emerging in OS development are deeply connected to the ideas from 
Wolfram. One way to look at this would be to suggest that the highly 
unnatural structures of the "architectures of control" are something 
like the non-chaotic rules that go all black of all white or exhibit 
very simple oscilations.

The next step is to address what is really meant by "simulation" in the 
context of the VNOs and MicroCorps of the Organis proposal. For me, this 
has to be carried out at the level of the systems being simulated. So 
for organizational matters, we would use the tools taught to all MBAs, 
but with an ethical twist that completely respects the integrity and 
humanity of the people making up the organizations.

>
>I think we can utilise some features common to complex systems,  particularly the presence of positive feedback loops, the inderdependence  among the various components that make up the systems, the openness to  external environmental forces, and their synergic and nonlinear  behaviour. I feel pretty confident in putting a small paragraph together  in order to illustrate how Organis, networks and hierarchies are  connected. Or we could quote bits and pieces of the work of Yaneer  Bar-Yam, W.Brian Arthur in case a quote works best. But that's up to you  Carl. You know the audience. The beasic premise is that higher complexity  is making a good many of current social and economic hierarchies  unworkable (unable to respond with the required speed and flexibility),  which is basically what the "Law of Requisite Variety" infers. In short,  academics refer to the Law of Requisite Variety ("design for a brain",  Ashby, W.R., 1952) which indicates that the complexity of the environment  must be reflected in the composition of the firm. Anyway, this greater  complexity has inevitably resulted in a worldwide shift towards  co-operative networks and weblike arrangements and such examples abound.  It's no wonder why these days increasingly more industries are  experimenting with hollywood-style forms of governance and structural  organisation. As a consequence of this larger re-structuring of networks  of co-operative units, further complexity creeps in to further overwhelm  centralised processes. In all, complexity can only be dealt with  complexity.
>
I'm not as well read in the management area as you are (a benefit of 
collaboration, blending of diverse streams of knowledge), but I think 
you are going in exactly the right direction here. You can't create a 
structure more complex that a single mind can understand under the 
architectures of control, but if you don't try to control everything and 
act more like a gardener by creating the conditions under which the 
plants you select can thrive and grow. This analogy is also limited, but 
you get the idea.

>
>On the other hand, Chaos which is an equally intriguing field, is  governed by the basic processes of cause-and-effect. This is the primary  difference between the properties that chaotic and complex systems  exhibit. Complex systems can be chaotic as vice versa too. But this need  not mean that all chaotic systems are comlex or the opposite. I would  suggest we keep it to the complexity, whether employing metaphors or not.  It's easier to link complexity theory to networks and business/social  ecosystems rather than chaos. 
>   
>
Yes, but from what I've read in the past, and what I have gleaned so far 
from Wolfram, complexity theory and chaos are deeply connected, perhaps 
two sides of the same coin. Systems that lose their chaotic aspect are 
dead. On the other hand, you are completely correct about it being 
easier to create the links we need with complexity theory, just don't 
forget the importance of the deeper connections.

>
>I reckon i can provide some "numeric guidance regarding the size of the  cells" in the fifth paragraph. There is indeed a growing body of  scientific literature suggesting that numbers play a role. Interestingly,  the numbers of 15 and 150 are the most prominent ones. Malcolm Gladwell  ?s ?The Tipping Point? (pages 169-192) is perhaps the best place to start  an exploration of the magic number of 150. In short, the number one  hundred and fifty is particularly important because, oddly enough, going  above one hundred and fifty members in any given group seems to result in  communication bottlenecks and breakdowns of group processes.  Communication breakdowns aside, ?the figure of one hundred and fifty  seems to represent the maximum number of individuals with whom we can  have a genuinely social relationship, the kind of relationship that goes  with knowing who they are and how they relate to us? (Gladwell 2001:179).  There is indeed a growing body of knowledge supporting that when a group  of people ? regardless of what binds them together, may that be work,  leisure, religion, or politics - grows beyond that number, some  unintended consequences such as alienation and distancing among group  members suddenly crave in to overwhelm group processes and devastate the  social dynamics that form the nucleus of group cohesion and co-operation.  More specifically, if a factory unit crosses the one hundred and fifty  workers threshold, the same model of (informal) organisation that was so  far capable of sustaining the collaboration spirit and communication flow  among fellow workers, is almost certain to falter. As if by magic, the  rule of one hundred and fifty seems to govern communities and groups that  are functional, productive, and ultimately successful in whatever it is  they are doing without requiring formal hierarchies to co-ordinate their  interactions. So, it seems reasonable that we don't need formal  management guidelines and large hierarchies if we keep cells engaging  less that 150 people. 
>
>The number of 15, in a similar way, is based on the assumption that we  humans have a circle of relationships (based on strong ties) to which  we're intimately connected. For example, there are 15 people whose loss  would devastate me and there're 15 with whom I can have a genuinely  creative co-operation at any given time. So, if there has to be some sort  of an organisational chart, the first level is made up of a network of  small, tightly-knit work-teams each consisting of no more than 15  members, the second level is then a network of units of no more than 150  people and taken together they form the community of developers  (community of practice). The only level above the active commmunity is  the surrounding community (this is a clearly a community of  interest/political network which is affected by the social and economic  outcome). Our role is to co-ordinate the smooth flow of information up  and down the levels and among the networks and make sure all stakeholders  are satisfied by means of communicating their needs to each other and  ensuring they can all feed into a larger pool of resources (ie. pointing  them to a piece of software that's already written or providing legal  guidance).
> 
>
Very interesting. I wonder if you could find some similar relatonships 
in say, nerve cell grouping in brains and similar. I have some partially 
formed thoughts about how the small groups would be densely connected 
internally, but the external connections to larger groupings might be 
"function specific" so that any individual would have a scope < 150 but 
the small group as a whole would be connected to a much larger network.

If the larger community (surrounding?) is similarly organized, I can see 
the scope being very wide indeed, but more in terms of replicating (with 
variation) the 15 -> 150 units in physically seperated spheres.

Gerry

>   
>
>I also have some comments to make with respect to more practical  underpinnings of the Organis but this will have to wait for a few hours.  You also might be interested in knowing that I intend to make a  presentation at Harvard at the end of May at the OSCOM conference and I  would surely welcome any recommendations. My presentation discusses the  requirement for a license such as the GGPL and analyses how such a  strategy can be set into motion. You can have a look at the admittedly  rough proposal at 
>http://www.oscom.org/Conferences/Cambridge/Proposals/dafermos_open_coding _innovation.html
>
>
>George    
>
>